VST 3 Examples: NoteTouchController Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
NoteTouchController Class Reference

`#include <note_touch_controller.h>`

Inheritance diagram for NoteTouchController:

## Public Member Functions
| NoteTouchController (int32_t pitch, Steinberg::Vst::IInterAppAudioHost *host)
void | setPitch (int32_t _pitch)
void | setHorizontalNoteExpType (int32_t type)
void | setVerticalNoteExpType (int32_t type)

## Protected Member Functions
void | controlBeginEdit (CControl *pControl) override
void | controlEndEdit (CControl *pControl) override
void | valueChanged (CControl *pControl) override
CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description) override
void | startNote (float velocity)
void | stopNote (float velocity)
void | sendNoteExpression (int32_t type, float value)

## Protected Attributes
Steinberg::Vst::IInterAppAudioHost * | host
CXYPad * | pad
CColor | originalPadBackgroundColor
int32_t | pitch
int32_t | noteID
int32_t | xNEType
int32_t | yNEType

## Constructor & Destructor Documentation

NoteTouchController | ( | int32_t | pitch,
|  | Steinberg::Vst::IInterAppAudioHost * | host
| ) |  |

## Member Function Documentation

void setPitch | ( | int32_t | _pitch | ) |
| inline

void setHorizontalNoteExpType | ( | int32_t | type | ) |
| inline

void setVerticalNoteExpType | ( | int32_t | type | ) |
| inline

void controlBeginEdit | ( | CControl * | pControl | ) |
| overrideprotected

void controlEndEdit | ( | CControl * | pControl | ) |
| overrideprotected

void valueChanged | ( | CControl * | pControl | ) |
| overrideprotected

CView * verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  |
| overrideprotected

void startNote | ( | float | velocity | ) |
| protected

void stopNote | ( | float | velocity | ) |
| protected

void sendNoteExpression | ( | int32_t | type,
|  | float | value
| ) |  |
| protected

## Member Data Documentation

Steinberg::Vst::IInterAppAudioHost* host
| protected

CXYPad* pad
| protected

CColor originalPadBackgroundColor
| protected

int32_t pitch
| protected

int32_t noteID
| protected

int32_t xNEType
| protected

int32_t yNEType
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.